# sources
* [Gentoo wiki -  Dell XPS 13 2-in-1 (7390)](https://wiki.gentoo.org/wiki/Dell_XPS_13_2-in-1_(7390))  
* [Ubuntu wiki -  Dell XPS 13 2-in-1 (7390)](https://wiki.ubuntu.com/Dell/XPS/XPS-13-7390-2-in-1)
* [Arch Linux  -  Dell XPS 13 2-in-1 (7390)](https://wiki.archlinux.org/index.php/Dell_XPS_13_2-in-1_(7390))

# Bios setup
* have to disable Raid ... Enable AHCI
* Disable secure boot in bios to permit Hibernate

## in case you wanted to change zpool passwd

~~~{.shell}
$ zfs change-key rpool
~~~

# UHD screen

~~~
!!!
https://forum.xfce.org/viewtopic.php?id=13617
a essayer : xfconf-query -c xsettings -p /Gdk/WindowScalingFactor -s 2
xfconf-query -c xsettings -p /Gdk/WindowScalingFactor -s 2
~~~

## Changer la taille de police dans les applications Qt sous Xfce

* source : [ezvan.fr - Changer la taille de police dans les applications Qt sous Xfce](https://www.ezvan.fr/taille-police-qt.html)  

editer : ~/.Xresources : Ce fichier est utilisé par le serveur X pour configurer ses applications clientes.  

~~~{.shell}
!-------------------------------------------------------------------------------
! Xft settings
!-------------------------------------------------------------------------------

Xft.dpi:        240
Xft.antialias:  true
Xft.rgba:       rgb
Xft.hinting:    true
Xft.hintstyle:  hintslight
Xft.autohint:   false
Xft.lcdfilter:  lcddefault
~~~

Il faut ensuite utiliser la commande xrdb pour appliquer ces paramètres :

~~~{.shell}
$ xrdb -merge ~/.Xresources
~~~

 ## console grub ...

Boot menu uses a tiny font (GRUB menu).

Best way to address this would be to have GRUB automatically select the right font, but GRUB is kept small on purpose, or to install a larger GRUB font when installing Ubuntu.

Workaround: let the default GRUB terminal driver, gfxterm, switch to a supported mode such as 1600x1200 (NB to list video modes, disable secure mode in the BIOS and run the videoinfo command in the GRUB shell accessed by pressing "c" from the GRUB menu):

~~~ 
GRUB_GFXMODE=1280x1024
~~~

~~~
update-grub 
~~~

Splash screen uses too small logo and somewhat too small fonts (Plymouth).

Plymouth has logic to detect the proper scaling to apply, but it's still too small; workaround by forcing the scale on the kernel cmdline:

Add to GRUB_CMDLINE_LINUX in /etc/default/grub.

~~~
plymouth.force-scale=3
~~~

~~~
update-grub 
~~~

Console terminal uses too small fonts.

Note that the package shipping the Ubuntu Monospace font for the terminal, fonts-ubuntu-console, is not installed by default and only ships 8x16 fonts.

Change the font by running :

~~~
dpkg-reconfigure console-setup
~~~

select a font face that supports a larger font size, for instance the Terminus font, and select a large font size such as 16x32; you need to reboot for the new font to be set.


# enable screen rotatation

~~~
apt install iio-sensor-proxy
~~~

install : screen rotator : https://github.com/GuLinux/ScreenRotator

# zpool trouble mount it from live systeme

~~~
boot on usb drive
zpool import -R /mnt rpool
zfs load-key rpool
zfs mount rpool/USERDATA/nomad_e8bdbt
~~~